void painfall2(int busca, int nopain, int nofall)

{

         
        int  iEntity; 
        void vEntity;
        void self        = getlocalvar("self");
        int  iMax        = openborvariant("ent_max");   
       
        


        for(iEntity=0; iEntity<iMax; iEntity++)
        {

        
        vEntity = getentity(iEntity);
        void  vName   = getentityproperty(vEntity, "name");
        
        if(vName==busca)
                     {

                
                             
                          
                          changeentityproperty(vEntity, "nopain", nopain);
                          changeentityproperty(vEntity, "nodrop", nofall);

                     }
         
        } 

}

